### Function Macro

# Soup DEPRECATED_FOR

#### Declaration [src]

    #define SOUP_DEPRECATED_FOR (
      f
    )

#### Description [src]

Marks a symbol as deprecated in favor of another symbol.

You should use `SOUP_DEPRECATED_FOR_IN_*` in order to handle versioning.

This function is not directly available to language bindings.

#### Parameters

`f`

  Type: `-`

  The symbol that replaces the deprecated one.